【穿越模式】LNMP更新到版本1.1

LAMP教程今天(2014年5月30日),国内知名的Web套件LNMP(Linux+Nginx+MySQL+PHP)更新了1.1版本,但是官网的Changelog居然显示“2014年6月1日LNMP1.1发布”,者难道就是传说中的穿越模式?不过本次更新也是继1.0,一年后的更新。这次更新最显著的变化就是增加了MariaDB的选项(可取代MySQL)。有兴趣的童鞋可以更新

LNMP 1.1安装方法

CentOS系统下执行:

wget -c http://soft.vpser.net/lnmp/lnmp1.1-full.tar.gz && tar zxf lnmp1.1-full.tar.gz && cd lnmp1.1-full && ./centos.sh

Debian系统下执行:

wget -c http://soft.vpser.net/lnmp/lnmp1.1-full.tar.gz && tar zxf lnmp1.1-full.tar.gz && cd lnmp1.1-full && ./debian.sh

Ubuntu系统下执行:

wget -c http://soft.vpser.net/lnmp/lnmp1.1-full.tar.gz && tar zxf lnmp1.1-full.tar.gz && cd lnmp1.1-full && ./ubuntu.sh

LNMP 1.1更新日志

2014年6月1日发布LNMP 1.1

调整优化脚本安装脚本;
安装时增加MariaDB选项;
增加MySQL升级脚本 upgrade_mysql.sh;
增加MySQL升级到MariaDB脚本 upgrade_mysql2mariadb.sh;
增加MariaDB升级脚本 upgrade_mariadb.sh;
增加Redis安装脚本 redis.sh;
增加OPcache安装脚本 opcache.sh;
增加MySQL/MariaDB root密码重置脚本;
添加pathinfo支持,去掉include pathinfo的#,在try_files前加#重启nginx即可使用;
重写nginx init.d脚本;
优化PHP升级脚本;
优化LNMP升级到LNMPA脚本,PHP可选PHP5.2或5.3,调整编译参数和配置文件;
优化LNMPA PHP升级脚本,支持5.4,5.5;
优化Xcache安装脚本,增加xcache管理界面;
优化Memcached安装脚本;
优化其他相关脚本使其支持MySQL的同时可支持MariaDB;
优化Nginx部分配置;
优化Pureftpd安装脚本;
优化Nginx配置文件,增加部分参数,去掉注释即可使用;
优化PHP-FPM参数,增加slowlog慢日志选项,可修改request_slowlog_timeout参数启用;
更新wordpress伪静态;
更新Nginx状态页为http://IP/nginx_status;
更新Nginx至1.6.0;
更新MySQL至5.1.73,5.5.37;
更新PHP至5.3.28;
更新Xcache至3.1.0;
更新ImageMagick至6.8.8-9;
更新phpMyAdmin至4.2.2;
去除fcgi.conf,使用nginx自带的fastcgi.conf;
去除Nginx日志多余配置,采用统一日志名称;
去除PHP编译参数--with-curlwrappers;

猜你 喜欢

关于作者: 微魔

小微魔,大智慧!

多条评论

    1. 对于一般的程序迁移还算方便,我已经把不少的网站都迁移到MariaDB上了,至于原因嘛,倒不是出于拥护开源之类的,主要是跟进时代步伐,呵呵

发表回复

您的电子邮箱地址不会被公开。